import { E as EventBus, L as LiveConnect$1, S as StandardLiveConnect$1, M as MinimalLiveConnect$1, P as PublicLiveConnect } from './standard-live-connect.d-CGhFVSFd.js';
export { a as LiveConnectConfig } from './standard-live-connect.d-CGhFVSFd.js';
import 'live-connect-common';

declare function LocalEventBus(size?: number): EventBus;
declare function GlobalEventBus(name: string, size: number, errorCallback: (error: unknown) => void): EventBus;
declare function getAvailableBus(name: string): EventBus;

declare const eventBus_d_GlobalEventBus: typeof GlobalEventBus;
declare const eventBus_d_LocalEventBus: typeof LocalEventBus;
declare const eventBus_d_getAvailableBus: typeof getAvailableBus;
declare namespace eventBus_d {
  export { eventBus_d_GlobalEventBus as GlobalEventBus, eventBus_d_LocalEventBus as LocalEventBus, eventBus_d_getAvailableBus as getAvailableBus };
}

declare const EVENT_BUS_NAMESPACE = "__li__evt_bus";
declare const ERRORS_PREFIX = "li_errors";
declare const PIXEL_SENT_PREFIX = "lips";
declare const PRELOAD_PIXEL = "pre_lips";
declare const PEOPLE_VERIFIED_LS_ENTRY = "_li_duid";
declare const DEFAULT_IDEX_AJAX_TIMEOUT = 5000;
declare const DEFAULT_IDEX_URL = "https://idx.liadm.com/idex";
declare const DEFAULT_REQUESTED_ATTRIBUTES: never[];

declare const consts_d_DEFAULT_IDEX_AJAX_TIMEOUT: typeof DEFAULT_IDEX_AJAX_TIMEOUT;
declare const consts_d_DEFAULT_IDEX_URL: typeof DEFAULT_IDEX_URL;
declare const consts_d_DEFAULT_REQUESTED_ATTRIBUTES: typeof DEFAULT_REQUESTED_ATTRIBUTES;
declare const consts_d_ERRORS_PREFIX: typeof ERRORS_PREFIX;
declare const consts_d_EVENT_BUS_NAMESPACE: typeof EVENT_BUS_NAMESPACE;
declare const consts_d_PEOPLE_VERIFIED_LS_ENTRY: typeof PEOPLE_VERIFIED_LS_ENTRY;
declare const consts_d_PIXEL_SENT_PREFIX: typeof PIXEL_SENT_PREFIX;
declare const consts_d_PRELOAD_PIXEL: typeof PRELOAD_PIXEL;
declare namespace consts_d {
  export { consts_d_DEFAULT_IDEX_AJAX_TIMEOUT as DEFAULT_IDEX_AJAX_TIMEOUT, consts_d_DEFAULT_IDEX_URL as DEFAULT_IDEX_URL, consts_d_DEFAULT_REQUESTED_ATTRIBUTES as DEFAULT_REQUESTED_ATTRIBUTES, consts_d_ERRORS_PREFIX as ERRORS_PREFIX, consts_d_EVENT_BUS_NAMESPACE as EVENT_BUS_NAMESPACE, consts_d_PEOPLE_VERIFIED_LS_ENTRY as PEOPLE_VERIFIED_LS_ENTRY, consts_d_PIXEL_SENT_PREFIX as PIXEL_SENT_PREFIX, consts_d_PRELOAD_PIXEL as PRELOAD_PIXEL };
}

type Returning<F extends (...args: any) => any, T> = (...args: Parameters<F>) => T;
type PublicConstructor<F extends (...args: any) => any> = Returning<F, PublicLiveConnect>;
declare const LiveConnect: PublicConstructor<typeof LiveConnect$1>;
declare const StandardLiveConnect: PublicConstructor<typeof StandardLiveConnect$1>;
declare const MinimalLiveConnect: PublicConstructor<typeof MinimalLiveConnect$1>;

export { LiveConnect, MinimalLiveConnect, PublicLiveConnect, StandardLiveConnect, consts_d as consts, eventBus_d as eventBus };
