export { D as DurableCache, I as InternalLiveConnect, L as LiveConnect, a as LiveConnectConfig, M as MinimalLiveConnect, S as StandardLiveConnect, c as State, b as StorageHandlerBackedCache, W as WrappedStorageHandler } from './standard-live-connect.d-CGhFVSFd.js';
import 'live-connect-common';

type ParamValue = string | number | boolean;
type ParamOptions = {
    stripEmpty?: boolean;
    prepend?: boolean;
};
declare class QueryBuilder {
    tuples: [string, ParamValue][];
    constructor(tuples?: [string, ParamValue][]);
    add(key: string, value: ParamValue, options?: ParamOptions): QueryBuilder;
    addOptional(key: string, value: ParamValue | null | undefined, options?: ParamOptions): QueryBuilder;
    addParamsMap(paramsMap: Record<string, ParamValue | ParamValue[] | null | undefined>): QueryBuilder;
    copy(): QueryBuilder;
    filteredCopy(predicate: (key: string, value: ParamValue) => boolean): QueryBuilder;
    toQueryString(): string;
}
declare function encodeIdCookie(value: string | null | undefined): string | undefined;

export { QueryBuilder, encodeIdCookie };
